Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000299SpeedFanHardware supportpublic2005-06-21 10:432007-09-24 21:17
Reporterengine 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSXPOS VersionSP2
Product Version4.24 
Target VersionFixed in Version4.33 
Summary0000299: Support for XFX 6600 GT AGP core temp monitoring wanted
DescriptionCan you add support for monitoring the core temp of the XFX 6600GT AGP card?

I see that SpeedFan 4.24 does detect this card. But the temp isn
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Filesjpg file icon core.jpg [^] (99,875 bytes) 2005-11-27 03:33

- Relationships

-  Notes
(0001015)
flachschippe (reporter)
2005-06-21 23:13

Ask your card manufacturer to support SpeedFan and provide Alfredo with some specs. Try to find out which sensor chip is used on the card. For my card, the card manufacturer's tool told me the chip name, which was enough for Alfredo to support it.
(0001016)
engine (reporter)
2005-06-22 15:41

I will do that as soon as I can.
Can you tell me wich tool you are talking about? I could try that tool on my card.
Thanks!
(0001018)
flachschippe (reporter)
2005-06-22 17:38

The manufacturer is Leadtek, the tool is called WinFox. However, I have not heard that you can run it with a non-Leadtek card.
(0001020)
flachschippe (reporter)
2005-06-22 21:19

The proof of the pudding is in the eating, so just try it.

A WinFox download page is: http://www.leadtek.com.tw/eng/support/download.asp?downlineid=6&downline=WinFox [^]
It lists three URLs, of which only one seems to work:
ftp://ftp.leadtek.com.tw/entertainment_graphics/WinFox/Utility/050325/WinFox_20_50311.exe [^]

WinFox installs mainly into C:\WINNT\system32\WinFox (on my box). There you can find wfhwmain.exe, the 'Hardware Monitor'. If it runs, left-click on the window title (or right-click on the fox's head in the upper left hand corner and select 'Advanced Information' from the menu).

You get another little window titled 'Hardware Monitor', with a table. The top table entry is (yet again :-)'Hardware Monitor'. On my system, the chip name ('LM99') is listed in the 'Format' column (second one).
(0001030)
engine (reporter)
2005-07-04 02:31

WinFox didn
(0001031)
flachschippe (reporter)
2005-07-06 09:29
edited on: 2005-07-06 09:34

o Try asking your manufacturer.

o Search the internet (;-).

o Try actively asking for your card on internet forums like the one for Everest.

o Physically identify the actual chips on your card. Here's how:

Before you start, make sure you have a proper thermal compound for putting the GPU heat sink back on.

Get a magnifying glass (some chip markings are /really/ small), a desk lamp (some markings are visible only at a certain angle) and pen and paper. Remove the card from your machine. Unless you can see that there are no chips beneath the heat sink, remove it from the card. Technically, this voids your warranty. See howtos in the internet on how to properly remove it. If you are careful, it's not too dangerous, possibly depending on the design of your heat sink.

Write down the markings from all chips (or all but the GPU and memory), noting their positions on the board. Explicitly note ambiguities (0 vs. O, 1 vs. l, B vs. 8 etcetera). Reassemble (using the thermal compound), put the card back in the computer, then search the internet for the chip markings. Concentrating on the small 8-pin chips closest to the GPU may be a good idea. Some chips only bear manufacturing information like a code that tells how, when and where it was made, so the chip manufacturer, name or ID may not be etched on it. In this case you will have to do some guesswork. For example, guess a sensor chip manufacturer, check out the manufacturing marking scheme for their chip(s), compare to your chip's markings.

(0001033)
engine (reporter)
2005-07-06 13:41

I will try the manufacturer first. Or Everest forums.
If this doesn
(0001040)
engine (reporter)
2005-07-18 15:54

Here is the information I was able to gather from Everest developers:

[QUOTE]NV-DRV means the temperature is detected through nVIDIA ForceWare, hence the temperature equals to the one you can see in ForceWare Control Panel.[/QUOTE]

So Everest reads it through Nvidia Drivers.

[QUOTE]The driver method means either:

1) EVEREST couldn't found a sensor chip through the I2C bus of the video card. It is usually due to the sensor chip of the card is unsupported by EVEREST; or due to the fact that nVIDIA card BIOS'es or drivers tend to hide the sensor chip device on the I2C bus -- effectively preventing diagnostics tools like EVEREST to access the sensor chip directly through the I2C bus.

2) On SLI systems EVEREST always uses the driver method, in order to support all GPU chips of the system in every cases.[/QUOTE]

I am not on SLI, so the second situation doesn
(0001042)
engine (reporter)
2005-07-19 01:57

I found the chip!

I loaded a Leadtek Bios to my card. Than I installed WinFox. And acording to flachschippe, informations, the thermal sensor is, as reported by WinFox:

NVIDIA(Aeluros)

Can you add support for this chip?

Thanks!
(0001045)
alfredo (manager)
2005-07-19 17:33

NVidia is not helping me. I'm trying to add support for as many devices as possible. If the temperature sensor is not available on the I2C, SpeedFan don't know (yet) how to read it.
(0001049)
engine (reporter)
2005-07-19 17:52

Leadtek knows! WinFox can read it. NVIDIA must know.

I will see what I can do. I will try to e-mail NVIDIA and XFX.

Regards!
(0001063)
flachschippe (reporter)
2005-07-19 21:59

> NVIDIA(Aeluros)

Googling for Aeluros, all I could find was references to physical interface components for high-speed network devices. It does not look like they make sensor chips. Maybe the closest thing WinFox could find is the nForce 4 Ethernet component, so it displays that (;-).

My guess is that Nvidia wants to keep this knowledge under control for 'political' reasons. There are possible reasons for this, however I don't see an obvious one.
(0001064)
engine (reporter)
2005-07-19 22:25

The mobo is an Abit An7 based on nForce 2!

You found the same as I did.

Could be an NVIDIA sensor chip named (Aeoluros)???????
(0001377)
floopsy (reporter)
2005-11-27 03:51

What's interesting is that some XFX 6600GT AGP cards appear to have a LM99 sensor, and some don't. My card is missing the 8-pin chip in the middle left of core.jpg (from nv news review). But the pads are there.

The informational label on the back of my card states: VA.3 W12/04, presumably the revision and manufacturing date. The label of the back of the nv news's card states VA.0 W11/04. XFX have removed the sensor for some reason.

The question is, how do the nVidia drivers measure the temperature? Could it be that N43 has a built-in sensor?
(0001378)
floopsy (reporter)
2005-11-27 04:23

Further, Googling for chip numbers reveals that all other chips have no monitoring capabilities.
(0001449)
stormy13 (reporter)
2006-01-07 16:40

Just in furtherance to this issue, I have been doing dome looking around and everything I can find all points to the fact that all 6600's have a core temp sensor. the thing is that is not a seperate chip on the pcb, but intergrated in to the gpu itself. So i am guessing that for Alferdo to allow Speedfan to report the temp, he will need to figure out how to make it so that it reads from the drivers (just like the Nvidia drivers and Everest do), or figure out how to get the reading directly from the intergrated sensor. More ifo about it here,

http://forums.nvidia.com/index.php?s=99aa8c83089f4e13b4971b467932281a&showtopic=1945&view=findpost&p=15007 [^]

as well as info for anyone that has a 6600 that doesn't report a core temp and how to enable it.
(0001450)
floopsy (reporter)
2006-01-07 18:05

NvCplGetThermalSettings() is documented in http://download.developer.nvidia.com/developer/SDK/Individual_Samples/DEMOS/common/src/NvCpl/docs/NVControlPanel_API.pdf [^]

I don't know if is sufficiently "low-level" for alfredo.
(0001609)
engine (reporter)
2006-04-01 03:49

Can
(0002943)
engine (reporter)
2007-09-21 19:03

Resolved in SpeedFan 4.33
(0002954)
alfredo (manager)
2007-09-24 13:18

Engine, please contact me by email (alfredo [at] almico.com). I have a beta for you to try that should greatly improve nVidia support.

- Issue History
Date Modified Username Field Change
2005-06-21 10:43 engine New Issue
2005-06-21 23:13 flachschippe Note Added: 0001015
2005-06-22 15:41 engine Note Added: 0001016
2005-06-22 17:38 flachschippe Note Added: 0001018
2005-06-22 21:19 flachschippe Note Added: 0001020
2005-07-04 02:31 engine Note Added: 0001030
2005-07-06 09:29 flachschippe Note Added: 0001031
2005-07-06 09:33 flachschippe Note Edited: 0001031
2005-07-06 09:34 flachschippe Note Edited: 0001031
2005-07-06 13:41 engine Note Added: 0001033
2005-07-18 15:54 engine Note Added: 0001040
2005-07-19 01:57 engine Note Added: 0001042
2005-07-19 17:33 alfredo Note Added: 0001045
2005-07-19 17:34 alfredo Status assigned => acknowledged
2005-07-19 17:52 engine Note Added: 0001049
2005-07-19 21:59 flachschippe Note Added: 0001063
2005-07-19 22:25 engine Note Added: 0001064
2005-11-27 03:33 floopsy File Added: core.jpg
2005-11-27 03:51 floopsy Note Added: 0001377
2005-11-27 04:23 floopsy Note Added: 0001378
2006-01-07 16:40 stormy13 Note Added: 0001449
2006-01-07 18:05 floopsy Note Added: 0001450
2006-04-01 03:49 engine Note Added: 0001609
2007-09-21 19:03 engine Note Added: 0002943
2007-09-24 13:18 alfredo Note Added: 0002954
2007-09-24 21:17 alfredo Status acknowledged => resolved
2007-09-24 21:17 alfredo Resolution open => fixed
2007-09-24 21:17 alfredo Fixed in Version => 4.33


Copyright © 2000 - 2018 MantisBT Team
Time: 0.4251 seconds.
memory usage: 8,203 KB
Powered by Mantis Bugtracker